Bug 1096041 - [abrt] IMAP interruptions side-effects / g_malloc0(): claws-mail killed by SIGSEGV
Summary: [abrt] IMAP interruptions side-effects / g_malloc0(): claws-mail killed by SI...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c0c27f7630be17c16c2f4b56c02...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-09 07:20 UTC by Filip Bartmann
Modified: 2015-01-05 07:36 UTC (History)
1 user (show)

Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-30 23:50:04 UTC


Attachments (Terms of Use)
File: backtrace (93.29 KB, text/plain)
2014-05-09 07:20 UTC, Filip Bartmann
no flags Details
File: cgroup (159 bytes, text/plain)
2014-05-09 07:20 UTC, Filip Bartmann
no flags Details
File: core_backtrace (18.96 KB, text/plain)
2014-05-09 07:21 UTC, Filip Bartmann
no flags Details
File: dso_list (15.88 KB, text/plain)
2014-05-09 07:21 UTC, Filip Bartmann
no flags Details
File: environ (2.01 KB, text/plain)
2014-05-09 07:21 UTC, Filip Bartmann
no flags Details
File: exploitable (82 bytes, text/plain)
2014-05-09 07:21 UTC, Filip Bartmann
no flags Details
File: limits (1.29 KB, text/plain)
2014-05-09 07:21 UTC, Filip Bartmann
no flags Details
File: maps (48.31 KB, text/plain)
2014-05-09 07:21 UTC, Filip Bartmann
no flags Details
File: open_fds (1.79 KB, text/plain)
2014-05-09 07:21 UTC, Filip Bartmann
no flags Details
File: proc_pid_status (809 bytes, text/plain)
2014-05-09 07:21 UTC, Filip Bartmann
no flags Details
File: var_log_messages (648 bytes, text/plain)
2014-05-09 07:22 UTC, Filip Bartmann
no flags Details

Description Filip Bartmann 2014-05-09 07:20:45 UTC
Version-Release number of selected component:
claws-mail-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/claws-mail
crash_function: g_malloc0
executable:     /usr/bin/claws-mail
kernel:         3.14.2-200.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_malloc0 at gmem.c:134
 #3 imap_session_new at imap.c:1161
 #4 imap_session_get at imap.c:1013
 #5 imap_scan_required at imap.c:4691
 #6 folderview_check_new at folderview.c:1186
 #7 inc_all_account_mail at inc.c:360
 #8 inc_all_account_mail_cb at toolbar.c:2667
 #9 toolbar_inc_all_cb at toolbar.c:1098
 #10 g_cclosure_marshal_VOID__VOIDv at gmarshal.c:115
 #11 _g_closure_invoke_va at gclosure.c:840

Potential duplicate: bug 1011098

Comment 1 Filip Bartmann 2014-05-09 07:20:56 UTC
Created attachment 893857 [details]
File: backtrace

Comment 2 Filip Bartmann 2014-05-09 07:20:58 UTC
Created attachment 893858 [details]
File: cgroup

Comment 3 Filip Bartmann 2014-05-09 07:21:01 UTC
Created attachment 893859 [details]
File: core_backtrace

Comment 4 Filip Bartmann 2014-05-09 07:21:03 UTC
Created attachment 893860 [details]
File: dso_list

Comment 5 Filip Bartmann 2014-05-09 07:21:05 UTC
Created attachment 893861 [details]
File: environ

Comment 6 Filip Bartmann 2014-05-09 07:21:10 UTC
Created attachment 893862 [details]
File: exploitable

Comment 7 Filip Bartmann 2014-05-09 07:21:13 UTC
Created attachment 893863 [details]
File: limits

Comment 8 Filip Bartmann 2014-05-09 07:21:18 UTC
Created attachment 893864 [details]
File: maps

Comment 9 Filip Bartmann 2014-05-09 07:21:20 UTC
Created attachment 893865 [details]
File: open_fds

Comment 10 Filip Bartmann 2014-05-09 07:21:26 UTC
Created attachment 893866 [details]
File: proc_pid_status

Comment 11 Filip Bartmann 2014-05-09 07:22:31 UTC
Created attachment 893867 [details]
File: var_log_messages

Comment 12 Michael Schwendt 2014-05-26 16:56:13 UTC
Memory corruption as a side-effect. Very likely fixed upstream after 3.9.3 as a result of recent fixes for bug 569478 and its corresponding upstream tickets.

Comment 13 Fedora Update System 2014-05-26 21:17:26 UTC
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

Comment 14 Fedora Update System 2014-05-26 21:17:59 UTC
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19

Comment 15 Fedora Update System 2014-05-28 02:56:54 UTC
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-05-30 23:50:04 UTC
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-11-02 17:51:53 UTC
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19

Comment 18 Fedora Update System 2014-11-02 17:52:27 UTC
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20

Comment 19 Fedora Update System 2014-11-02 17:55:07 UTC
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21

Comment 20 Fedora Update System 2014-11-10 06:30:16 UTC
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-11-10 06:34:01 UTC
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-01-05 07:36:28 UTC
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.